Summary:	Perl modules to manipulates Ipv4 addresses
Name:		perl-Net-IPv4Addr
Version:	0.10
Release:	6mdk

Source:		http://iNDev.iNsu.COM/sources/Net-IPv4Addr-%{version}.tar.bz2

License:	GPL or Artistic
Group:		System/Configuration/Networking
URL:		http://iNDev.iNsu.COM/IPv4Addr/
Prefix:		%{_prefix}
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArchitectures: noarch

%description
Net::IPv4Addr provides methods for parsing IPv4 addresses both in traditional
address/netmask format and in the new CIDR format. There are also methods for
calculating the network and broadcast address and also to see check if a given
address is in a specific network.

%prep
%setup -q -n Net-IPv4Addr-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -fr $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{prefix}

install -d $RPM_BUILD_ROOT%{_sbindir}
mv -f $RPM_BUILD_ROOT%{_bindir}/ipv4calc $RPM_BUILD_ROOT%{_sbindir}/ipv4calc

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/*/*
%{_sbindir}/ipv4calc
%{perl_vendorlib}/Net/*
%{perl_vendorlib}/auto/Net/*

%changelog
* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.10-6mdk
- use "make install"
- don't include perl_vendorarch

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.10-5mdk
- rebuild for new perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.10-4mdk
- BuildRequires: perl-devel
- Copyright --> License

* Fri May  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10-3mdk
- recompile against 5.6.1

* Fri Dec 08 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-2mdk
- Don't think that ix86 CPUs are alone in CPUs constellation

* Wed Oct 18 2000  Florin Grad <florin@mandrakesoft.com> 0.10-1mdk
- mandrake adaptations

* Tue Aug 01 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.10-1i]
- Updated to version 0.10.
- Updated spec file to use new macros.

* Wed May 03 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.09-1i]
- Updated to version 0.09.
- Updated automatic file list generation.
- Changed group.

* Wed Dec 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.08-1i]
- Updated to version 0.08.
- Added perl(Net::IPv4Addr) to list of Provides.
- Fixed Source URL.

* Tue Oct 19 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.07-1i]
- Updated to version 0.07

* Tue Oct 19 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.06-1i]
- Updated to version 0.06.
- Renamed package to Net-IPv4Addr.

* Wed Sep 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.05-1i]
- Updated to version 0.05.

* Sun Aug 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.04-1i]
- Updated to version 0.04.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.03-1i]
- Updated to version 0.03.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.02-2i]
- Updated to version 0.02.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.01-1i]
- First RPM release.

